%global realname luke
%global debug_package %{nil}
%global git_tag ce91e00


Name:		erlang-%{realname}
Version:	0.2.3
Release:	2%{?dist}
Summary:	Dataflow / MapReduce coordination framework
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/luke
# wget --no-check-certificate https://github.com/basho/luke/tarball/luke-0.2.3
Source0:	basho-%{realname}-%{realname}-%{version}-0-g%{git_tag}.tar.gz
Patch1:		erlang-luke-0001-Don-t-include-eunit-header.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-eunit
BuildRequires:	erlang-rebar
# lists:member/2
Requires:	erlang-erts >= R12B-5
Requires:	erlang-kernel
Requires:	erlang-sasl
Requires:	erlang-stdlib


%description
Dataflow / MapReduce coordination framework.


%prep
%setup -q -n basho-%{realname}-%{git_tag}
sed -i -e "s,\./rebar,rebar,g" Makefile
%patch1 -p1 -b .drop_eunit


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -p -m 0644 -D ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 ebin/%{realname}_*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin


%clean
rm -rf $RPM_BUILD_ROOT


%check
# FIXME one test is failed
rebar eunit


%files
%defattr(-,root,root,-)
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam



%changelog
* Fri Jan 28 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.2.3-2
- Remove useless runtime dependency on eunit

* Mon Jan 10 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.2.3-1
- Ver. 0.2.3

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.2.2-1
- Initial build

